
eServices - Bug #226

Fields validation - Draftsman step

09/08/2016 01:36 PM - Saja Nakhleh

Status: Closed Start date: 09/08/2016

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: 1- An additional tab is exist:

- Compensation details tab

2- The selected value from the field

[Survey Required For] will be reset and

missed

Severity: Normal Environment: Development

Category: Compensation Transaction Number:  

Sub-Category: Worklist Username: eykhater

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result: 1- The available tabs are:

- Transaction Details

- Application Details

- Drawing details

2- The selected value from the field

[Survey Required For], should be saved

Test Case ID:  

Description

Steps:

1- open any transaction in [Draftsman] step

2- Observe the Basic information tab

3- Select any value from the field: [Survey Required For] then click save

4- Re-open the transaction and Observe the value of the field [Survey Required For]

History

#1 - 09/08/2016 03:52 PM - Hazem Shoushari

- Status changed from Open to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

- % Done changed from 0 to 100

- Environment Development added

- Environment deleted (QA)

#2 - 10/06/2016 01:58 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Hazem Shoushari

1- the first issue has been verified

2- the second issue : Drawing tab, instead of fixing the old issues all the fields have been disappeared !

the fields that should be exist [please refer to the SRS to observe the validations on them]:

1. Survey Required for

2. Scale
3. Land Building Category

4. Area Description

#3 - 10/13/2016 03:52 PM - Hazem Shoushari

- Status changed from Feedback to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

#4 - 10/19/2016 10:30 AM - Saja Nakhleh

- File 194.GIF added

- File 195.GIF added

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Hazem Shoushari

The above issues have been verified.

New issues have been occurred:

1- If you leave [Land building category] or [area description] fields Empty, then a run-time exception will be occurred!

Evidence # 194

2- After selecting a value from the [Land building category] field, it will be lost and NOT displayed on the table

Evidence # 195

#5 - 10/20/2016 08:43 AM - Hazem Shoushari

- Status changed from Feedback to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

#6 - 10/20/2016 09:35 AM - Saja Nakhleh

- File 196.GIF added

- Status changed from Fixed to Closed

Tested and verified. kindly consider the attached evidence.

Files

120.GIF 334 KB 09/08/2016 Saja Nakhleh

121.GIF 115 KB 09/08/2016 Saja Nakhleh

194.GIF 256 KB 10/19/2016 Saja Nakhleh

195.GIF 128 KB 10/19/2016 Saja Nakhleh

196.GIF 147 KB 10/20/2016 Saja Nakhleh
